petsc-3.10.5 2019-03-28
Report Typos and Errors

# TSPseudoIncrementDtFromInitialDt

Indicates that a new timestep is computed via the formula $ dt = initial_dt*initial_fnorm/current_fnorm rather than the default update, $ dt = current_dt*previous_fnorm/current_fnorm.

### Synopsis

    #include "petscts.h"
    PetscErrorCode  TSPseudoIncrementDtFromInitialDt(TS ts)

Logically Collective on TS

### Input Parameter

ts -the timestep context

### Options Database Key

-ts_pseudo_increment_dt_from_initial_dt -

### Keywords

timestep, pseudo, set, increment

### See Also

TSPseudoSetTimeStep(), TSPseudoTimeStepDefault()

### Level

advanced

### Location

src/ts/impls/pseudo/posindep.c

### Implementations

TSPseudoIncrementDtFromInitialDt_Pseudo in src/ts/impls/pseudo/posindep.c
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages